package minenet

import (
	"fmt"
	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Опрашивает шахту в сети
*/

// MineNet -- опрашивает шахту на базе
type MineNet struct {
	*sectionnet.SectionNet
}

// NewMineNet -- возвращает новый *MineNet
func NewMineNet(mine types.ИШахта) (*MineNet, error) {
	sectionNet, err := sectionnet.NewSectionNet(mine, "http://wartank.ru/production/Mine")
	if err != nil {
		return nil, fmt.Errorf("NewMineNet(): in create *SectionNet, err=\n\t%w", err)
	}
	sf := &MineNet{
		SectionNet: sectionNet,
	}
	return sf, nil
}
